package com.zehong.framework.modbus4j;

import java.util.Map;

/**
 * @author lenovo
 * @date 2025/6/9
 * @description TODO
 */
public class ModbusDeviceData {
    private String deviceId;
    private Map<Integer, String> registerValues; // key: 寄存器地址, value: 读取结果

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public Map<Integer, String> getRegisterValues() {
        return registerValues;
    }

    public void setRegisterValues(Map<Integer, String> registerValues) {
        this.registerValues = registerValues;
    }
}
